Subject: Re: [PATCH v11 0/9] Add support MT6316/6363/MT6373 PMICs regulators and MFD

From: Lee Jones <[email-masked]>
Date: Thu, 6 Nov 2025 16:11:49 +0000

On Mon, 27 Oct 2025, AngeloGioacchino Del Regno wrote:

> Changes in v11:
>  - Removed unnecessary #address-cells in all mt6316 bindings
> 
> Changes in v10:
>  - Added "struct" prefix to structs kerneldoc
>  - Renamed struct mtk_spmi_pmic_pdata to mtk_spmi_pmic_variant
>  - Added "REG_" to MT6363/73 mfd register definitions to disambiguate
>  - Expanded MTK_SPMI_PMIC_IRQ_GROUP macro parameter names as suggested
>  - Some rewording of comments as suggested, addition of more comments
>  - Refactored IRQ domain handling due to deprecation of function
>    irq_domain_add_tree() to use the new irq_domain_create_tree()
>  - Fixed to use generic_handle_domain_irq_safe() to avoid races
>  - Added support for two interrupt cells in translation
>  - Removed .irq_lock() and .irq_unlock() in favor of lockdep classes
>  - Added support for handling PMICs without IRQ Group register for
>    upcoming MT6685 implementation

The MFD part looks okay.

Let me know when you have all the Acks and the set is ready to be merged.

-- 
Lee Jones [李琼斯]